Bug 1397768 (CVE-2016-9540) - CVE-2016-9540 libtiff: cpStripToTile heap-buffer-overflow
Summary: CVE-2016-9540 libtiff: cpStripToTile heap-buffer-overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1397781 1397782 1397783 1412078 1412079 1412080 1412081
Blocks: 1389235
TreeView+ depends on / blocked
 
Reported: 2016-11-23 10:29 UTC by Adam Mariš
Modified: 2020-03-11 15:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 10:19:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0225 normal SHIPPED_LIVE Moderate: libtiff security update 2017-02-01 15:03:24 UTC

Description Adam Mariš 2016-11-23 10:29:15 UTC
It was found that tools/tiffcp.c in libtiff 4.0.6 has an out-of-bounds write on tiled images with odd tile width versus image width

Upstream patch:

https://github.com/vadz/libtiff/commit/5ad9d8016fbb60109302d558f7edb2cb2a3bb8e3

Comment 1 Adam Mariš 2016-11-23 10:55:14 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1397781]

Comment 2 Adam Mariš 2016-11-23 10:55:20 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1397782]
Affects: epel-7 [bug 1397783]

Comment 5 errata-xmlrpc 2017-02-01 10:04:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:0225 https://rhn.redhat.com/errata/RHSA-2017-0225.html


Note You need to log in before you can comment on or make changes to this bug.